# Method: accounts.customers.create

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers/create#try-it)

Creates a new `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer` resource under the reseller or distributor account.

Possible error codes:

- PERMISSION_DENIED:
  - The reseller account making the request is different from the reseller account in the API request.
  - You are not authorized to create a customer. See <https://support.google.com/channelservices/answer/9759265>
- INVALID_ARGUMENT:
  - Required request parameters are missing or invalid.
  - Domain field value doesn't match the primary email domain.

Return value: The newly created `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer` resource.

### HTTP request

`POST https://cloudchannel.googleapis.com/v1alpha1/{parent=accounts/*}/customers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of reseller account in which to create the customer. Parent uses the format: accounts/{account_id} |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1alpha1/accounts.customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).